//
// C++ Interface: utils
//
// Description: Various tools for openinventor scenes
//
//
// Author: Francois Faure <Francois.Faure@imag.fr>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef _______________ivfiles_h________________________
#define _______________ivfiles_h________________________

#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/SbLinear.h>
#include <iostream>

SoSeparator *
readFile(const char *filename);
void writeFile( SoGroup* root, const char* filename, bool ascii=true );
std::ostream& operator << (std::ostream& out, const SbVec3f& v );
std::istream& operator >> (std::istream& in, SbVec3f& v );

#endif
